<?php

class Classified extends Page {
	
	static $has_one = array(
		'MyClassifiedItem' => 'ClassifiedItem'
	);

	function getCMSFields() {
		$fields = parent::getCMSFields();
		
		$tablefield = new HasOneComplexTableField(
			$this,
			'MyClassifiedItem',
			'ClassifiedItem',
			array(
				'Catg' => 'Catg',
				'SubCatg' => 'SubCatg',
				'BuySell' => 'BuySell',
				'Location' => 'Location',
				'City' => 'City',
				'ContactDtls' => 'ContactDtls',
				'Desc' => 'Desc',
				'AttachmentFname' => 'AttachmentFname',
				'IconFname' => 'IconFname',
				'BackGroundFname' => 'BackGroundFname'
			),
			'getCMSFields_forPopup'
		);
		$tablefield->setAddTitle( 'Add Classified Item' );
		$fields->addFieldToTab( 'Root.Content.Classified', $tablefield );
	
		return $fields;
	}



}


class Classified_Controller extends Page_Controller {

    

}

?>